# osgUtil::SceneView::ComputeStereoMatricesCallback Struct Reference

Callback for overidding the default method for compute the offset projection and view matrices. More...

Inheritance diagram for osgUtil::SceneView::ComputeStereoMatricesCallback:

[legend]
List of all members.

## Public Member Functions

virtual osg::Matrixd | computeLeftEyeProjection (const osg::Matrixd &projection) const =0
virtual osg::Matrixd | computeLeftEyeView (const osg::Matrixd &view) const =0
virtual osg::Matrixd | computeRightEyeProjection (const osg::Matrixd &projection) const =0
virtual osg::Matrixd | computeRightEyeView (const osg::Matrixd &view) const =0

## Detailed Description

Callback for overidding the default method for compute the offset projection and view matrices.

## Member Function Documentation

virtual osg::Matrixd osgUtil::SceneView::ComputeStereoMatricesCallback::computeLeftEyeProjection | ( | const osg::Matrixd & | projection | ) | const`[pure virtual]`

virtual osg::Matrixd osgUtil::SceneView::ComputeStereoMatricesCallback::computeLeftEyeView | ( | const osg::Matrixd & | view | ) | const`[pure virtual]`

virtual osg::Matrixd osgUtil::SceneView::ComputeStereoMatricesCallback::computeRightEyeProjection | ( | const osg::Matrixd & | projection | ) | const`[pure virtual]`

virtual osg::Matrixd osgUtil::SceneView::ComputeStereoMatricesCallback::computeRightEyeView | ( | const osg::Matrixd & | view | ) | const`[pure virtual]`

The documentation for this struct was generated from the following file:

- SceneView